Bug 497585 - rhcs80beta tps init script - restart shows incorrect output
rhcs80beta tps init script - restart shows incorrect output
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-04-24 16:51 EDT by Marc Sauton
Modified: 2015-01-04 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix "status" at the end of the ra and tps start scripts (969 bytes, patch)
2009-04-27 12:48 EDT, Matthew Harmsen
no flags Details | Diff
Fix "status" at the end of the ra and tps start scripts (spec files) (1.90 KB, patch)
2009-04-27 12:48 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Marc Sauton 2009-04-24 16:51:24 EDT
Description of problem:

with rhcs80beta
the tps init script shows an incorrect output upon a restart:

/etc/init.d/pki-tps restart
Stopping pki-tps:                                          [  OK  ]
Starting pki-tps:                                          [  OK  ]

pki-tps is stopped



but I have:

/etc/init.d/pki-tps status
pki-tps (pid 17153) is running ...

    Unsecure Port              = http://ms2-cs8-1-64.sjc.redhat.com:7888/cgi-bin/so/enroll.cgi
                                 (ESC Security Officer Enrollment)
    Unsecure Port              = http://ms2-cs8-1-64.sjc.redhat.com:7888/cgi-bin/home/index.cgi
                                 (ESC Phone Home)
    Secure Clientauth Port     = https://ms2-cs8-1-64.sjc.redhat.com:7889/cgi-bin/sow/welcome.cgi
                                 (ESC Security Officer Workstation)
    Secure Clientauth Port     = https://ms2-cs8-1-64.sjc.redhat.com:7889/tus
                                 (TPS Roles - Operator/Administrator/Agent)
    Secure Non-Clientauth Port = https://ms2-cs8-1-64.sjc.redhat.com:7890/cgi-bin/so/enroll.cgi
                                 (ESC Security Officer Enrollment)
    Secure Non-Clientauth Port = https://ms2-cs8-1-64.sjc.redhat.com:7890/cgi-bin/home/index.cgi
                                 (ESC Phone Home)



other subsystems usually returns something like this for a restart:
    Unsecure Port     = http://ms2-cs8-1-64.sjc.redhat.com:13180/tks/ee/tks
    Secure Agent Port = https://ms2-cs8-1-64.sjc.redhat.com:13443/tks/agent/tks
    Secure EE Port    = https://ms2-cs8-1-64.sjc.redhat.com:13444/tks/ee/tks
    Secure Admin Port = https://ms2-cs8-1-64.sjc.redhat.com:13445/tks/services
    PKI Console Port  = pkiconsole https://ms2-cs8-1-64.sjc.redhat.com:13445/tks
    Tomcat Port       = 13701 (for shutdown)


Version-Release number of selected component (if applicable):

pki-tps-8.0.0-18.beta

Linux ms2-cs8-1-64.sjc.redhat.com 2.6.18-128.el5xen #1 SMP Wed Dec 17 12:01:40 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

Red Hat Enterprise Linux Server release 5.3 (Tikanga)
Comment 1 Matthew Harmsen 2009-04-27 12:48:20 EDT
Created attachment 341457 [details]
Fix "status" at the end of the ra and tps start scripts
Comment 2 Matthew Harmsen 2009-04-27 12:48:49 EDT
Created attachment 341458 [details]
Fix "status" at the end of the ra and tps start scripts (spec files)
Comment 3 Jack Magne 2009-04-27 12:51:25 EDT
Attachments (id=341457) (id=341458) +jmagne
Comment 4 Matthew Harmsen 2009-04-27 12:55:48 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ra/etc/init.d/httpd
M      tps/etc/init.d/httpd

% svn commit
Sending        base/ra/etc/init.d/httpd
Sending        base/tps/etc/init.d/httpd
Transmitting file data ..
Committed revision 416.


cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ra/pki-ra.spec
M      tps/pki-tps.spec

% svn commit
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ..
Committed revision 417.

Note You need to log in before you can comment on or make changes to this bug.